Bug 803414 - [RFE] SAM should propegate 410 (deleted) messages to the client when the system has been deleted
[RFE] SAM should propegate 410 (deleted) messages to the client when the syst...
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.X
Assigned To: Tom McKay
Tazim Kolhar
: FutureFeature, Triaged
Depends On: 818477
Blocks: sam11-tracker
  Show dependency treegraph
 
Reported: 2012-03-14 12:38 EDT by Bryan Kearney
Modified: 2016-04-25 20:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 10:52:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2012-03-14 12:38:36 EDT
Newer subscriptions managers will unregister themselves when they recieve the 410.
Comment 1 Tom McKay 2012-04-10 14:14:58 EDT
Confirmed that 410 messages are being propagated to clients in latest katello master.

Candidate for automation testing:
1. Register a system
2. Remove the system in web ui
3. Have system call 'subscription-manager refresh' and note message about being deleted.
Comment 2 Tazim Kolhar 2012-05-04 04:21:20 EDT
VERIFIED using the build :
[root@tyan-gt24-12 ~]# rpm -qa | grep katello
katello-configure-0.3.1-2.el6_2.noarch
katello-selinux-0.1.10-1.el6.noarch
katello-cli-headpin-0.2.0-1.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-configure-upgrade-0.3.1-2.el6_2.noarch
katello-cli-common-0.3.1-1.el6_2.noarch
katello-glue-candlepin-0.3.0-2.el6_2.noarch
katello-certs-tools-1.0.6-1.el6.noarch
katello-headpin-0.2.4-3.el6_2.noarch
katello-common-0.3.0-2.el6_2.noarch
katello-headpin-all-0.2.4-3.el6_2.noarch


Registered a system to SAM server :
[root@tyan-gt24-12 ~]# headpin -u admin -p admin system list --org ACME_Corporation
--------------------------------------------------------------------------------
                  Systems List For Org [ ACME_Corporation ]

 Name                                   Ipv4 Address   Service Level  
--------------------------------------------------------------------------------
 kvm-guest-04.rhts.eng.bos.redhat.com   None                          
 ibm-hs22-03.rhts.eng.brq.redhat.com    None       


After removing the system ibm-hs22-03.rhts.eng.brq.redhat.com using WEB UI :


[root@ibm-hs22-03 ~]# subscription-manager refresh
Consumer 88a6f3c2-697e-4456-8447-377a0c3e88f5 has been deleted

Note You need to log in before you can comment on or make changes to this bug.